> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.getunleash.io/api/update-tags/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getunleash.io/_mcp/server. # Updates multiple tags for a feature. PUT https://app.unleash-instance.example.com/api/admin/features/{featureName}/tags Content-Type: application/json Receives a list of tags to add and a list of tags to remove that are mandatory but can be empty. All tags under addedTags are first added to the feature and then all tags under removedTags are removed from the feature. Reference: https://docs.getunleash.io/api/update-tags ## Authentication - `Authorization` header (required) — API key needed to access this API - `Authorization` header (bearer token, required) — API key needed to access this API, in Bearer token format ## Request ### Path parameters - `featureName` (string, required) ### Body (application/json) This endpoint expects an updateTagsSchema. - `addedTags` (list of tagSchema, required) — Tags to add to the feature. - `removedTags` (list of tagSchema, required) — Tags to remove from the feature. ## Response ### 200 The resource was successfully created. - `version` (integer, required) — The version of the schema used to model the tags. - `tags` (list of tagSchema, required) — A list of tags. ## Errors ### 400 Bad Request Error The request data does not match what we expect. - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ### 401 Unauthorized Error Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ### 403 Forbidden Error The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ### 404 Not Found Error The requested resource was not found. - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ## Types ### tagSchema Representation of a [tag](https://docs.getunleash.io/concepts/feature-flags#tags) - `value` (string, required) — The value of the tag. - `type` (string, required) — The [type](https://docs.getunleash.io/concepts/feature-flags#tags) of the tag - `color` (string, optional, nullable) — The hexadecimal color code for the tag type. ## Examples **Request** ```json { "addedTags": [ { "value": "tag-to-add", "type": "simple" } ], "removedTags": [ { "value": "tag-to-remove", "type": "simple" } ] } ``` **Response** ```json { "version": 1, "tags": [ { "value": "a-tag-value", "type": "simple", "color": "#FFFFFF" } ] } ``` **SDK Code** ```python import requests url = "https://app.unleash-instance.example.com/api/admin/features/featureName/tags" payload = { "addedTags": [ { "value": "tag-to-add", "type": "simple" } ], "removedTags": [ { "value": "tag-to-remove", "type": "simple" } ] } headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.put(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/features/featureName/tags'; const options = { method: 'PUT', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '{"addedTags":[{"value":"tag-to-add","type":"simple"}],"removedTags":[{"value":"tag-to-remove","type":"simple"}]}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/features/featureName/tags" payload := strings.NewReader("{\n \"addedTags\": [\n {\n \"value\": \"tag-to-add\",\n \"type\": \"simple\"\n }\n ],\n \"removedTags\": [\n {\n \"value\": \"tag-to-remove\",\n \"type\": \"simple\"\n }\n ]\n}") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/features/featureName/tags") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"addedTags\": [\n {\n \"value\": \"tag-to-add\",\n \"type\": \"simple\"\n }\n ],\n \"removedTags\": [\n {\n \"value\": \"tag-to-remove\",\n \"type\": \"simple\"\n }\n ]\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://app.unleash-instance.example.com/api/admin/features/featureName/tags") .header("Authorization", "") .header("Content-Type", "application/json") .body("{\n \"addedTags\": [\n {\n \"value\": \"tag-to-add\",\n \"type\": \"simple\"\n }\n ],\n \"removedTags\": [\n {\n \"value\": \"tag-to-remove\",\n \"type\": \"simple\"\n }\n ]\n}") .asString(); ``` ```php request('PUT', 'https://app.unleash-instance.example.com/api/admin/features/featureName/tags', [ 'body' => '{ "addedTags": [ { "value": "tag-to-add", "type": "simple" } ], "removedTags": [ { "value": "tag-to-remove", "type": "simple" } ] }', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/features/featureName/tags"); var request = new RestRequest(Method.PUT); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"addedTags\": [\n {\n \"value\": \"tag-to-add\",\n \"type\": \"simple\"\n }\n ],\n \"removedTags\": [\n {\n \"value\": \"tag-to-remove\",\n \"type\": \"simple\"\n }\n ]\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = [ "addedTags": [ [ "value": "tag-to-add", "type": "simple" ] ], "removedTags": [ [ "value": "tag-to-remove", "type": "simple" ] ] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/features/featureName/tags")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```